curl --request POST \
--url https://api.omnara.com/v1/orgs/{orgID}/projects/{projectID}/machine-pool-grants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"machine_pool_id": "<string>",
"description": "<string>",
"default_machine_cpu": 1073741824,
"default_machine_memory_mb": 1073741824,
"default_machine_env_overlay": {},
"default_machine_secret_env_overlay": {},
"default_machine_provider_options_overlay": {},
"default_cwd": "<string>",
"max_total_machines": 1073741823,
"max_total_cpu": 1073741823,
"max_total_memory_mb": 1073741823,
"min_machine_cpu": 1073741823,
"min_machine_memory_mb": 1073741823,
"max_machine_cpu": 1073741824,
"max_machine_memory_mb": 1073741824,
"delete_after_idle_minutes": 0,
"metadata": {}
}
'import requests
url = "https://api.omnara.com/v1/orgs/{orgID}/projects/{projectID}/machine-pool-grants"
payload = {
"machine_pool_id": "<string>",
"description": "<string>",
"default_machine_cpu": 1073741824,
"default_machine_memory_mb": 1073741824,
"default_machine_env_overlay": {},
"default_machine_secret_env_overlay": {},
"default_machine_provider_options_overlay": {},
"default_cwd": "<string>",
"max_total_machines": 1073741823,
"max_total_cpu": 1073741823,
"max_total_memory_mb": 1073741823,
"min_machine_cpu": 1073741823,
"min_machine_memory_mb": 1073741823,
"max_machine_cpu": 1073741824,
"max_machine_memory_mb": 1073741824,
"delete_after_idle_minutes": 0,
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
machine_pool_id: '<string>',
description: '<string>',
default_machine_cpu: 1073741824,
default_machine_memory_mb: 1073741824,
default_machine_env_overlay: {},
default_machine_secret_env_overlay: {},
default_machine_provider_options_overlay: {},
default_cwd: '<string>',
max_total_machines: 1073741823,
max_total_cpu: 1073741823,
max_total_memory_mb: 1073741823,
min_machine_cpu: 1073741823,
min_machine_memory_mb: 1073741823,
max_machine_cpu: 1073741824,
max_machine_memory_mb: 1073741824,
delete_after_idle_minutes: 0,
metadata: {}
})
};
fetch('https://api.omnara.com/v1/orgs/{orgID}/projects/{projectID}/machine-pool-grants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"org_id": "<string>",
"project_id": "<string>",
"machine_pool_id": "<string>",
"description": "<string>",
"default_machine_cpu": 1073741824,
"default_machine_memory_mb": 1073741824,
"default_machine_env_overlay": {},
"default_machine_secret_env_overlay": {},
"default_machine_provider_options_overlay": {},
"default_cwd": "<string>",
"max_total_machines": 1073741823,
"max_total_cpu": 1073741823,
"max_total_memory_mb": 1073741823,
"min_machine_cpu": 1073741823,
"min_machine_memory_mb": 1073741823,
"max_machine_cpu": 1073741824,
"max_machine_memory_mb": 1073741824,
"delete_after_idle_minutes": 0,
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"id": "<string>",
"org_id": "<string>",
"project_id": "<string>",
"machine_pool_id": "<string>",
"description": "<string>",
"default_machine_cpu": 1073741824,
"default_machine_memory_mb": 1073741824,
"default_machine_env_overlay": {},
"default_machine_secret_env_overlay": {},
"default_machine_provider_options_overlay": {},
"default_cwd": "<string>",
"max_total_machines": 1073741823,
"max_total_cpu": 1073741823,
"max_total_memory_mb": 1073741823,
"min_machine_cpu": 1073741823,
"min_machine_memory_mb": 1073741823,
"max_machine_cpu": 1073741824,
"max_machine_memory_mb": 1073741824,
"delete_after_idle_minutes": 0,
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": "<string>",
"current_digest": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>",
"line": 2,
"column": 2
}
]
}{
"error": "<string>",
"code": "<string>",
"current_digest": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>",
"line": 2,
"column": 2
}
]
}{
"error": "<string>",
"code": "<string>",
"current_digest": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>",
"line": 2,
"column": 2
}
]
}{
"error": "<string>",
"code": "<string>",
"current_digest": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>",
"line": 2,
"column": 2
}
]
}{
"error": "<string>",
"code": "<string>",
"current_digest": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>",
"line": 2,
"column": 2
}
]
}{
"error": "<string>",
"code": "<string>",
"current_digest": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>",
"line": 2,
"column": 2
}
]
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Create project machine pool grant
Authorizations
An opaque Omnara personal or organization bearer token.
Headers
Idempotency key for replay-safe mutating requests.
1 - 255Path Parameters
^org_[a-z2-7]{26}$^proj_[a-z2-7]{26}$Body
^mpo_[a-z2-7]{26}$1 <= x <= 21474836471 <= x <= 2147483647Env overlay merged over the pool's default_machine_env for machines materialized through this grant; a null entry removes the key.
Show child attributes
Show child attributes
Secret env overlay merged over the pool's default_machine_secret_env for machines materialized through this grant; a null entry removes the key.
Show child attributes
Show child attributes
0 <= x <= 21474836470 <= x <= 21474836470 <= x <= 21474836470 <= x <= 21474836470 <= x <= 21474836471 <= x <= 21474836471 <= x <= 2147483647Idle minutes before deleting a machine created through this grant. Use 0 to disable for this grant; omit to inherit the pool default. Values from 1 through 4 are invalid.
0 <= x <= 2147483647Arbitrary key-value metadata. Maximum 16 pairs, keys up to 64 characters, values must be strings of up to 512 characters.
Show child attributes
Show child attributes
Response
Existing project machine pool grant returned.
^pmpg_[a-z2-7]{26}$^org_[a-z2-7]{26}$^proj_[a-z2-7]{26}$^mpo_[a-z2-7]{26}$1 <= x <= 21474836471 <= x <= 2147483647Env overlay merged over the pool's default_machine_env for machines materialized through this grant; a null entry removes the key.
Show child attributes
Show child attributes
Secret env overlay merged over the pool's default_machine_secret_env for machines materialized through this grant; a null entry removes the key.
Show child attributes
Show child attributes
0 <= x <= 21474836470 <= x <= 21474836470 <= x <= 21474836470 <= x <= 21474836470 <= x <= 21474836471 <= x <= 21474836471 <= x <= 2147483647Idle minutes before deleting a machine created through this grant. Zero disables deletion for this grant; null inherits the pool default.
0 <= x <= 2147483647Arbitrary key-value metadata. Maximum 16 pairs, keys up to 64 characters, values must be strings of up to 512 characters.
Show child attributes
Show child attributes